view mkinstalldirs @ 60503:ed1869261935

(Overlay Arrow, Fringe Bitmaps, Customizing Bitmaps): Now subnodes of Fringes. (Overlay Arrow): Document overlay-arrow-variable-list. (Fringe Size/Pos): New node, broken out of Fringes. (Display): Explain clearing vs redisplay better. (Truncation): Clarify use of bitmaps. (The Echo Area): Clarify the uses of the echo area. Add max-mini-window-height. (Progress): Clarify. (Invisible Text): Explain that main loop moves point out. (Selective Display): Say "hidden", not "invisible". (Managing Overlays): Moved up. Describe relation to Undo here. (Overlay Properties): Clarify intro. (Finding Overlays): Explain return values when nothing found. (Width): truncate-string-to-width has added arg. (Displaying Faces): Clarify and update mode line face handling. (Face Functions): Minor cleanup. (Conditional Display): Merged into Other Display Specs. (Pixel Specification, Other Display Specs): Minor cleanups. (Images, Image Descriptors): Minor cleanups. (GIF Images): Patents have expired. (Showing Images): Explain default text for insert-image. (Manipulating Button Types): Merged into Manipulating Buttons. (Making Buttons): Explain return values. (Button Buffer Commands): Add xref. (Inverse Video): Update mode-line-inverse-video. (Display Table Format): Clarify. (Active Display Table): Give defaults for window-display-table.
author Richard M. Stallman <rms@gnu.org>
date Tue, 08 Mar 2005 03:20:18 +0000
parents 746c40973d25
children 730155197b96 eb7e8d483840
line wrap: on
line source

#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here